package com.muyu.product.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.security.utils.SecurityUtils;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 品类属性组中间对象 category_attribute_group
 *
 * @author saisai
 * @date 2024-02-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class CategoryAttributeGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 属性组编号 */
    @Excel(name = "属性组编号")
    private Long attributeGroupId;

    /** 品类编号 */
    @Excel(name = "品类编号")
    private Long categoryId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setAttributeGroupId(Long attributeGroupId)
    {
        this.attributeGroupId = attributeGroupId;
    }

    public Long getAttributeGroupId()
    {
        return attributeGroupId;
    }
    public void setCategoryId(Long categoryId)
    {
        this.categoryId = categoryId;
    }

    public Long getCategoryId()
    {
        return categoryId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("attributeGroupId", getAttributeGroupId())
            .append("categoryId", getCategoryId())
            .append("remark", getRemark())
            .append("createBy", SecurityUtils.getUsername())
            .append("createTime", getCreateTime())
            .append("updateBy", SecurityUtils.getUsername())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
